From 6ac578548010599eb59e3704216f50204941ef5b Mon Sep 17 00:00:00 2001
From: Alexander Golubev <fatzer2@gmail.com>
Date: Fri, 17 Apr 2026 08:28:03 +0300
Subject: trinity-base/arts: require prefix files to be installed

Also remove TRINITY_MODULE_NAME define as it's not needed when it is the
same as the package name.

Bug: https://mirror.git.trinitydesktop.org/gitea/TDE/tde-packaging-gentoo/issues/474
Signed-off-by: Alexander Golubev <fatzer2@gmail.com>
---
 trinity-base/arts/arts-14.1.4-r1.ebuild | 60 +++++++++++++++++++++++++++++++++
 trinity-base/arts/arts-14.1.4.ebuild    | 60 ---------------------------------
 trinity-base/arts/arts-14.1.5-r1.ebuild | 60 +++++++++++++++++++++++++++++++++
 trinity-base/arts/arts-14.1.5.ebuild    | 60 ---------------------------------
 trinity-base/arts/arts-9999.ebuild      |  2 +-
 5 files changed, 121 insertions(+), 121 deletions(-)
 create mode 100644 trinity-base/arts/arts-14.1.4-r1.ebuild
 delete mode 100644 trinity-base/arts/arts-14.1.4.ebuild
 create mode 100644 trinity-base/arts/arts-14.1.5-r1.ebuild
 delete mode 100644 trinity-base/arts/arts-14.1.5.ebuild

diff --git a/trinity-base/arts/arts-14.1.4-r1.ebuild b/trinity-base/arts/arts-14.1.4-r1.ebuild
new file mode 100644
index 00000000..282711b7
--- /dev/null
+++ b/trinity-base/arts/arts-14.1.4-r1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2020 Gentoo Authors
+# Copyright 2020-2026 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+TRINITY_MODULE_TYPE="dependencies"
+TRINITY_NEED_PREFIX="yes"
+inherit trinity-base-2
+
+DESCRIPTION="aRts, the Trinity sound (and all-around multimedia) server/output manager"
+HOMEPAGE="https://trinitydesktop.org/"
+
+LICENSE="|| ( GPL-2 GPL-3 )"
+
+SLOT="14"
+if [[ ${PV} != *9999* ]] ; then
+	KEYWORDS="~amd64 ~arm64 ~x86"
+fi
+IUSE="alsa artswrappersuid jack mp3 vorbis"
+
+DEPEND="~dev-tqt/tqtinterface-${PV}
+	dev-libs/glib
+	media-libs/audiofile
+	mp3? ( media-libs/libmad )
+	alsa? ( media-libs/alsa-lib )
+	vorbis? ( media-libs/libogg media-libs/libvorbis )
+	jack? ( virtual/jack )"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+	local mycmakeargs=(
+		-DWITH_AUDIOFILE=ON
+		-DWITH_MAD="$(usex mp3)"
+		-DWITH_ALSA="$(usex alsa)"
+		-DWITH_VORBIS="$(usex vorbis)"
+		-DWITH_JACK="$(usex jack)"
+		-DWITH_ESOUND=OFF
+		-DWITH_SNDIO=OFF
+	)
+
+	trinity-base-2_src_configure
+}
+
+src_install() {
+	trinity-base-2_src_install
+
+	# Used for realtime priority, but off by default as it is a security hazard
+	use artswrappersuid && chmod u+s "${D}/${TDEDIR}/bin/artswrapper"
+}
+
+pkg_postinst() {
+	if ! use artswrappersuid ; then
+		elog "Run chmod u+s ${TDEDIR}/bin/artswrapper to let artsd use realtime"
+		elog "priority and so avoid possible skips in sound. However, on untrusted systems"
+		elog "this creates the possibility of a DoS attack that'll use 100% cpu at realtime"
+		elog "priority, and so is off by default. See Gentoo bug #7883."
+		elog "Or, you can set the artswrappersuid USE flag to make the ebuild do this."
+	fi
+}
diff --git a/trinity-base/arts/arts-14.1.4.ebuild b/trinity-base/arts/arts-14.1.4.ebuild
deleted file mode 100644
index c5537586..00000000
--- a/trinity-base/arts/arts-14.1.4.ebuild
+++ /dev/null
@@ -1,60 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Copyright 2020-2026 The Trinity Desktop Project
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="8"
-
-TRINITY_MODULE_TYPE="dependencies"
-TRINITY_MODULE_NAME="arts"
-inherit trinity-base-2
-
-DESCRIPTION="aRts, the Trinity sound (and all-around multimedia) server/output manager"
-HOMEPAGE="https://trinitydesktop.org/"
-
-LICENSE="|| ( GPL-2 GPL-3 )"
-
-SLOT="14"
-if [[ ${PV} != *9999* ]] ; then
-	KEYWORDS="~amd64 ~arm64 ~x86"
-fi
-IUSE="alsa artswrappersuid jack mp3 vorbis"
-
-DEPEND="~dev-tqt/tqtinterface-${PV}
-	dev-libs/glib
-	media-libs/audiofile
-	mp3? ( media-libs/libmad )
-	alsa? ( media-libs/alsa-lib )
-	vorbis? ( media-libs/libogg media-libs/libvorbis )
-	jack? ( virtual/jack )"
-RDEPEND="${DEPEND}"
-
-src_configure() {
-	local mycmakeargs=(
-		-DWITH_AUDIOFILE=ON
-		-DWITH_MAD="$(usex mp3)"
-		-DWITH_ALSA="$(usex alsa)"
-		-DWITH_VORBIS="$(usex vorbis)"
-		-DWITH_JACK="$(usex jack)"
-		-DWITH_ESOUND=OFF
-		-DWITH_SNDIO=OFF
-	)
-
-	trinity-base-2_src_configure
-}
-
-src_install() {
-	trinity-base-2_src_install
-
-	# Used for realtime priority, but off by default as it is a security hazard
-	use artswrappersuid && chmod u+s "${D}/${TDEDIR}/bin/artswrapper"
-}
-
-pkg_postinst() {
-	if ! use artswrappersuid ; then
-		elog "Run chmod u+s ${TDEDIR}/bin/artswrapper to let artsd use realtime"
-		elog "priority and so avoid possible skips in sound. However, on untrusted systems"
-		elog "this creates the possibility of a DoS attack that'll use 100% cpu at realtime"
-		elog "priority, and so is off by default. See Gentoo bug #7883."
-		elog "Or, you can set the artswrappersuid USE flag to make the ebuild do this."
-	fi
-}
diff --git a/trinity-base/arts/arts-14.1.5-r1.ebuild b/trinity-base/arts/arts-14.1.5-r1.ebuild
new file mode 100644
index 00000000..282711b7
--- /dev/null
+++ b/trinity-base/arts/arts-14.1.5-r1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2020 Gentoo Authors
+# Copyright 2020-2026 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+TRINITY_MODULE_TYPE="dependencies"
+TRINITY_NEED_PREFIX="yes"
+inherit trinity-base-2
+
+DESCRIPTION="aRts, the Trinity sound (and all-around multimedia) server/output manager"
+HOMEPAGE="https://trinitydesktop.org/"
+
+LICENSE="|| ( GPL-2 GPL-3 )"
+
+SLOT="14"
+if [[ ${PV} != *9999* ]] ; then
+	KEYWORDS="~amd64 ~arm64 ~x86"
+fi
+IUSE="alsa artswrappersuid jack mp3 vorbis"
+
+DEPEND="~dev-tqt/tqtinterface-${PV}
+	dev-libs/glib
+	media-libs/audiofile
+	mp3? ( media-libs/libmad )
+	alsa? ( media-libs/alsa-lib )
+	vorbis? ( media-libs/libogg media-libs/libvorbis )
+	jack? ( virtual/jack )"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+	local mycmakeargs=(
+		-DWITH_AUDIOFILE=ON
+		-DWITH_MAD="$(usex mp3)"
+		-DWITH_ALSA="$(usex alsa)"
+		-DWITH_VORBIS="$(usex vorbis)"
+		-DWITH_JACK="$(usex jack)"
+		-DWITH_ESOUND=OFF
+		-DWITH_SNDIO=OFF
+	)
+
+	trinity-base-2_src_configure
+}
+
+src_install() {
+	trinity-base-2_src_install
+
+	# Used for realtime priority, but off by default as it is a security hazard
+	use artswrappersuid && chmod u+s "${D}/${TDEDIR}/bin/artswrapper"
+}
+
+pkg_postinst() {
+	if ! use artswrappersuid ; then
+		elog "Run chmod u+s ${TDEDIR}/bin/artswrapper to let artsd use realtime"
+		elog "priority and so avoid possible skips in sound. However, on untrusted systems"
+		elog "this creates the possibility of a DoS attack that'll use 100% cpu at realtime"
+		elog "priority, and so is off by default. See Gentoo bug #7883."
+		elog "Or, you can set the artswrappersuid USE flag to make the ebuild do this."
+	fi
+}
diff --git a/trinity-base/arts/arts-14.1.5.ebuild b/trinity-base/arts/arts-14.1.5.ebuild
deleted file mode 100644
index c5537586..00000000
--- a/trinity-base/arts/arts-14.1.5.ebuild
+++ /dev/null
@@ -1,60 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Copyright 2020-2026 The Trinity Desktop Project
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="8"
-
-TRINITY_MODULE_TYPE="dependencies"
-TRINITY_MODULE_NAME="arts"
-inherit trinity-base-2
-
-DESCRIPTION="aRts, the Trinity sound (and all-around multimedia) server/output manager"
-HOMEPAGE="https://trinitydesktop.org/"
-
-LICENSE="|| ( GPL-2 GPL-3 )"
-
-SLOT="14"
-if [[ ${PV} != *9999* ]] ; then
-	KEYWORDS="~amd64 ~arm64 ~x86"
-fi
-IUSE="alsa artswrappersuid jack mp3 vorbis"
-
-DEPEND="~dev-tqt/tqtinterface-${PV}
-	dev-libs/glib
-	media-libs/audiofile
-	mp3? ( media-libs/libmad )
-	alsa? ( media-libs/alsa-lib )
-	vorbis? ( media-libs/libogg media-libs/libvorbis )
-	jack? ( virtual/jack )"
-RDEPEND="${DEPEND}"
-
-src_configure() {
-	local mycmakeargs=(
-		-DWITH_AUDIOFILE=ON
-		-DWITH_MAD="$(usex mp3)"
-		-DWITH_ALSA="$(usex alsa)"
-		-DWITH_VORBIS="$(usex vorbis)"
-		-DWITH_JACK="$(usex jack)"
-		-DWITH_ESOUND=OFF
-		-DWITH_SNDIO=OFF
-	)
-
-	trinity-base-2_src_configure
-}
-
-src_install() {
-	trinity-base-2_src_install
-
-	# Used for realtime priority, but off by default as it is a security hazard
-	use artswrappersuid && chmod u+s "${D}/${TDEDIR}/bin/artswrapper"
-}
-
-pkg_postinst() {
-	if ! use artswrappersuid ; then
-		elog "Run chmod u+s ${TDEDIR}/bin/artswrapper to let artsd use realtime"
-		elog "priority and so avoid possible skips in sound. However, on untrusted systems"
-		elog "this creates the possibility of a DoS attack that'll use 100% cpu at realtime"
-		elog "priority, and so is off by default. See Gentoo bug #7883."
-		elog "Or, you can set the artswrappersuid USE flag to make the ebuild do this."
-	fi
-}
diff --git a/trinity-base/arts/arts-9999.ebuild b/trinity-base/arts/arts-9999.ebuild
index ded5e242..cb3c9109 100644
--- a/trinity-base/arts/arts-9999.ebuild
+++ b/trinity-base/arts/arts-9999.ebuild
@@ -5,7 +5,7 @@
 EAPI="8"
 
 TRINITY_MODULE_TYPE="dependencies"
-TRINITY_MODULE_NAME="arts"
+TRINITY_NEED_PREFIX="yes"
 inherit trinity-base-2
 
 DESCRIPTION="aRts, the Trinity sound (and all-around multimedia) server/output manager"
-- 
cgit v1.2.3

